import { type CodeWithSourceMap } from '../library/source-map/index.js';
import { type Token } from '../loader/index.js';
import { type DistOptions, type DtsFormatOptions } from './index.js';
/**
 * Get .d.ts file path.
 * @param filePath The path to the source file (i.e. `/dir/foo.css`). It is absolute.
 * @param distOptions The distribution option.
 * @returns The path to the .d.ts file. It is absolute.
 */
export declare function getDtsFilePath(filePath: string, distOptions: DistOptions | undefined): string;
export declare function generateDtsContentWithSourceMap(filePath: string, dtsFilePath: string, sourceMapFilePath: string, tokens: Token[], dtsFormatOptions: DtsFormatOptions | undefined, isExternalFile: (filePath: string) => boolean): {
    dtsContent: CodeWithSourceMap['code'];
    sourceMap: CodeWithSourceMap['map'];
};
