import { type Token } from '../loader/index.js';
import { type LocalsConvention } from '../runner.js';
export declare function getRelativePath(fromFilePath: string, toFilePath: string): string;
export declare function isSubDirectoryFile(fromDirectory: string, toFilePath: string): boolean;
/** The distribution option. */
export declare type DistOptions = {
    /** Root directory. It is absolute. */
    rootDir: string;
    /** The path to the output directory. It is absolute. */
    outDir: string;
};
export declare type DtsFormatOptions = {
    localsConvention?: LocalsConvention;
};
/** The options for emitter. */
export declare type EmitterOptions = {
    /** The path to the source file (i.e. `/dir/foo.css`). It is absolute. */
    filePath: string;
    /** The tokens exported by the source file. */
    tokens: Token[];
    /** The distribution option. */
    distOptions: DistOptions | undefined;
    /** Whether to output declaration map (i.e. `/dir/foo.css.d.ts.map`) or not. */
    emitDeclarationMap: boolean | undefined;
    /** The options for formatting the type definition. */
    dtsFormatOptions: DtsFormatOptions | undefined;
    /** Silent output. Do not show "files written" messages */
    silent: boolean;
    /** Working directory path. */
    cwd: string;
    /** Whether the file is from an external library or not. */
    isExternalFile: (filePath: string) => boolean;
};
export declare function emitGeneratedFiles({ filePath, tokens, distOptions, emitDeclarationMap, dtsFormatOptions, silent, cwd, isExternalFile, }: EmitterOptions): Promise<void>;
